Description

Heobxonmmo paspabotatb knacc ERRBeamDetDigitizer annxutnsaumm ons netektopa BeamDet.

MogpenvpoBaHue OTKIUKa MU OUAXUTU3aUMS YUMTbIBAET rpaHy NsIpHOCTb 3N1EKTPOHUKM, HE3PEKTUBHOCTH, LWYMbl, TEMHbIE CYETHI
¥ MPOAyLMpPYeT Takylo CTPYKTYpPY AaHHbIX CUrHana, kak ecnu 6bl oH Gbin MONyYeH OT peanbHOro aeTekTopa.

B nepBom nprbnvXeHnn BCce NepevncneHHble Bbille 3MEK T yHNTHIBAIOTCS NapaMeTPU30BaHHbIMU PacrpeneneHnsMm owmbok.

Knacc nonxeH 6biTb HacnenosaH ot FairTask. MoxHo nocmoTpetb cTpykTypy B ERRTelescopeHitFinder. @akTtunyecku tack
neperoHsieT AaHHble U3 ogHoro npenctaeneHus (k npumepy ERBeamDetTofPoint 1 ERBeamDetMWPC) B opyroe npencrasneHune
(HasoseM aTn knacc ERBeamDetTofDigi 1 ERBeamDetMwpcDigi). B kaxaoM cobbiTum y Hac ecTb KONNEKUMS NOMHTOB Ha BXOLE U
nonxHa 6biTb konnekums Digi Ha Bbixone. Digi 9T0 B nepcnekTvBe CTPYKTypa AaHHbIX, KoTopas 6yaeT NpuxoanTb C peanbHoro
neTekTopa. B peanbHOM geTekTope Mbl HE MOXEM OMpenenvTb B Kakoe UMEHHO MECTO MWPC NMPOBOJIOYKM Nonana Yyactuua mbl
MOXEM cKasaTb ee HOMEp, TakXe He MOXEM ONMPeaeNnTb NPOCTLIM CNOCOHBOM CKOMBKO YacTuUL, OAHOBPEMEHHO POAMNNOCH/HABENOCH
Ha MPOBONOYKY M CKOMIbKO KaX4as U3 HUX OCTaBua Ha HEl SHepPrum, Mbl MOXEM CKasaTb TONbKO CYMMapHY0 aHepruto (kotopas
notom ByneT B 0TCHETaX 3NEKTOPHUKM, A NMOKa B SHEPreTUYECKMX eanHMLax), Tak>Xe Mbl HE MOXEM FOBOPUTL B pamMkax ceHcopa
Kakasi MIMEeHHO YacTuua B Kakoil MOMEHT B COBbITVM B HErO nonana, Mbl 3adoVKCUPYEM BPEMS OT NepBOii, Kak BPeMs NMosIBNEHNS
curHana.

B Tof digi cooTBeTcByeT NnacTUHKM ¢ KOTOPOI cHuMaeTtcs curHan. B MWPC Homepy npoBonoyku(TyT HY>XHO TawmuTb BECb afpec:
HOMep CAOBOEHHOW CTaHUuK, Nepeas nunm BTopas B CABOEHHOW, HOMEP MPOBOJIOYKM).

Knaccbl BaHHbIX HY>XXHO HacnepoBaTb oT FairMultiLinkedData(nossonsieT otcnexveaTtb Ha 6a3e Kakmx Opyrux 06 beKkToB
06pasoBaH) 1 pacrnonoxuTb B nanke data. OH foNXeH conepXxartb (NONHbIA anpec B reoMeTpun - (Bce Homepa 06 beMoB)),
CYMMapHy0 3HEpruo NOUHTOB B CEKTOPE, BPEMS (Kak BPEMS CAMOro NepBoro nouHta B ceHcope)). C noMolwbio Metona
digi->AddLink(FairLink("BeamDetTofPoint",iPoint)); nonxeH 6biTb CINHKOBAM CO BCEMU NOUHTAMM, KOTOPbIE Y4aBCTOBANM B €ro
co34aHuu.

SHepruio 1 BpeMsi B 060Mx Cnyyasix Hy>XHO pasbirpatb Mo rayccy ¢ CUrMoi, nepeiaHHomn no uHTepgeicy u3 makpoca
(SetTofESigma(sigma), SetTofTSigma(sigma)).

Takxe Hy>XHO BBECTW MOpOr Ha sHepruio ang 3anvcm digi B cpainn (SetTofEThreshold(threshold))
Lna tecta: Tof: sigmaT = 100nc, sigmakE - ytouHutb y CI, thresholdE - onpeaenutb no cnekTpy - 90% [0NXHO 6biTb 60/blue

nopora;MWPC:Ha,uo NOCMOTPETb Ha CNEKTP 3HEProBblAeNeHNA N HA MHOXECTBEHHOCTb VS MOpOor. MHOXeCTBEHHOCTb -
KONMNMYEeCTBO 3aropeBLlnXcs npoBoioYeK Ha CTaHUMN.

History

#1 - 07/11/2017 12:49 PM - Mikhail Kozlov

Kak s noHsin, Hy>HO ele co3paTb knacc ERBeamDetSetup.

Kakwue y Hero fonxHbl 6bITb aTpnbyThl?
#2 - 07/11/2017 03:16 PM - Vitaliy Schetinin

He. OH Hy>X€eH Ons peKOHCTPYKUNM AanbHenwWwen.

A makpoc To nobaBb, KOTOPbLIM Tbl Bce 3T0 TecTmposan. Moxewb nocMotpeTb Ha Mapkpoc NeuRad_digi 8 macro/NeuRad

#3 - 07/11/2017 03:28 PM - Vitaliy Schetinin

Oa, B anaxutusaumm Setup Knacc HyXeH, Kora Mbl UCMonb3yeM doaiinbl napameTpoB. 34ecb noka nx HeT. A BOT B Makpoce Hoiipana ectb. Koraa
6ynewb konuposaTb He 3abyab yAanuTb NOrvKy KOTOpasi BK/KYAET 3arpy3ky OOMOMHUTENbHBIX TEKCTOBBIX (DAiifoB NapameTpoB:

TString NeuRadDetDigiFile = gSystem->Getenv("VMCWORKDIR");
NeuRadDetDigiFile += "/parameters/NeuRad.digi.v4.par";
parlnput1->open(NeuRadDetDigiFile.Data(),"in");

#4 - 07/11/2017 04:30 PM - Mikhail Kozlov

Xopowwo, 370 yuTy Koraa nobepych 4o Makpoca.

S He noHsN, Kak NpaBMnbHO ucrnonb3osarth digi->AddLink(FairLink("BeamDetTofPoint",iPoint)). JonXHo xe 6blTb HECKONBbKO NOUHTOB, U3 KOTOPbIX
doopupyetcs onuH digi?

BHyTpu Exec() annxuTtunsaropa npoxoaum no konnekuuu nonHtos kak B ERRTelescopeHitFinder, cpasHvuBaem sHepruio ¢ noprosoii:

Float_t eloss = gRandom->Gaus(point->GetEnergyLoss(), fElossDispersion);
if (eloss fElossThreshold) continue;

N nonyvyaeTcs, 4T0 NPOCTO He 3anucbiBaem B dlgl BCe, 4TO MeHblle nopora. B kakom mecTe genatb NIMKOBKY NMOVHTOB?

#5 - 07/12/2017 07:41 AM - Vitaliy Schetinin

0) Hy na B8 ERRTelescopeHitFinder noka owunbka, Ho Tam He CTpaLWHO 3TO U3 PU3NKKU. XOTS 5 Nonpassto B 6nmxanwee Bpems. W oH fonxeH
Ha3blBaTbCS AMrUTan3ep Toxe.

1) Y Hac K 04HOMY cuuTbIBaloWweMy 06 beMy NOIKMOYEH OAVH NPOBOAOK. Ha HEM NOSIBUTCS CyMMapHbI CUFHAN OT BCEX SHEPrOBbIAENEHUI B 3TOM
4yBCTBUTENbHOM 06 bEME. M03TOMY Aa, HY>XHO 0TCOPTUPOBATL MNOUHTLI MO NposBonoykam (ans MWPC), n ux sHepruio npocyMmmpoBaTh. A Bpems
B35Tb KaKk BPEMsi CaMoro nepeoro.

2) Kak BugHO 13 nyHkTa 1, Ha oAnH dig MOXEeT NpuXoanTCs HECKONBbKO NOUHTOB. VIHGbopMaums 06 3TOM HaM Hy>Ha npu aHanuae. K npumepy ecnm
Mbl 3aXOTUM y3HaTb Kakme Tpekn copmmposanu aT1oT digi. [ns aT0ro ectb MexaHnam nnMHKoB. epsbii aprymeHT AddLink sTo HassHaHWe BETKM B
root cpannax kotopoe 3anaetcs B Register. B atux BeTkax Mbl Xxe xpaHuM TClonesArray, To ecTb Maccue 06bekToB. BoT BTOpOIt apryMeHT 310
Homep obbekTa B aToM TClonesArray. TOT Mo KOTOPOMY Thi ¢ nomollbio At(index) AocTaelwb 0TTyna ero. ATo MEXaHM3M KCTaTu MO3BONSET Bewatb
Ha NUHKKM Beca 1 cBOpayMBaTb MHOroypoBHeEBbie NUHKU. K npuMepy aanblie Mbl 6yAeM BoicTpamBatb Takyto Lenb points

#6 - 07/12/2017 11:45 AM - Vitaliy Schetinin
3akoHuun npumepHo Toxe camoe ana QTelescope. MoxHO noacMoOTpeTb:
https://github.com/ExpertRootGroup/er/blob/dev/telescope/ERQTelescopeDigitizer.cxx

#7 - 07/14/2017 11:22 AM - Mikhail Kozlov

1) Kak v MoxHo nn Booble caenatb Tak, 4tobbl B digi 6611 HOMep cobbiTUA?

#8 - 07/15/2017 11:30 AM - Vitaliy Schetinin

MOXHO, HO HE HYXHO.

1) Homep cobbiTnst MOXHO focTaTb 13 i0 MeHeaxepa Takum obpasom ioman->GetEntryNr(). (a oH cam cuHrneToH - FairRootManager* ioman =
FairRootManager::Instance();)

2) B BbIxOOHOM haiine Bcerpa ectb atpmbyT fEventlD B MCEventHeader, ecnu ucnonb3syetcst FairRunSim nnu fMCEntryNo B EventHeader, ecnn
ucnonbayetcsa FairRunAna

#9 - 07/31/2017 03:31 PM - Mikhail Kozlov

Ins aHannsa TpeknHra MWPC ¢ nomouwbto TreeViewer HyXXHO 4ToBbl B kauyecTse entry 6bi1o cobbiTue, a He anaxu. JonxHo 6biTe 4 BETKY, B
KaXk,aow U3 KOTopbIX fieXar TONbKOo AMAXM N5 OOAHON U3 MNOCKOCTEN.

Mpu aTOM Bpoae Obl TEPATCS CMbIC KOMNeKUMn anaxm. Moxelb Kak-To 3T0 NPOKOMMEHTMPOBaTL?

#10 - 07/31/2017 03:33 PM - Vitaliy Schetinin

B nanekom u ceeTnom Byayuem y Hac 6yayT metodbl paboTsl ¢ MWPC co MHOXeCTBEHHOCTbIO 6onblue 1.

#11 - 08/09/2017 08:08 AM - Vitaliy Schetinin

- Status changed from Ortkpeita to 3akpbiTa
